<?php $postid = get_the_ID(); ?>
<?php 
	//total earning calculation
	$custom_raised = $thisobj->calculate_total_earnings($settings, $postid);
?>
<div <?php post_class( 'tm-wpcf-listing-style-current-theme1' ); ?>>
	<div class="form-inner">
		<?php if ( $show_thumb == 'yes' && has_post_thumbnail( $postid ) ) : ?>
		<div class="form-thumbnail">
			<a href="<?php the_permalink() ?>"><?php echo get_the_post_thumbnail( $postid, $feature_thumb_image_size, array( 'class' => 'img-fullwidth' ) ); ?></a>
		</div>
		<?php endif; ?>
		
		<div class="form-content">
			<?php if ( $show_progress == 'yes' ) : ?>
			<div class="form-chart">
				<div class="tm-sc-pie-chart">
					<div class="pie-chart"
						data-bar-color="<?php echo esc_attr( $thisparent->get_instance_value_skin( 'barcolor' ) ); ?>"
						data-track-color="<?php echo esc_attr( $thisparent->get_instance_value_skin( 'trackcolor' ) ); ?>"
						data-scale-color="<?php echo esc_attr( $thisparent->get_instance_value_skin( 'scalecolor' ) ); ?>"

						data-scale-length="<?php echo esc_attr( $thisparent->get_instance_value_skin( 'scalelength' ) ); ?>"
						data-line-cap="<?php echo esc_attr( $thisparent->get_instance_value_skin( 'linecap' ) ); ?>"
						data-line-width="<?php echo esc_attr( $thisparent->get_instance_value_skin( 'linewidth' ) ); ?>"
						data-size="<?php echo esc_attr( $thisparent->get_instance_value_skin( 'size' ) ); ?>"

						data-percent="<?php echo esc_attr( $custom_raised ); ?>"
						<?php echo wp_kses_post( $box_inline_css );?>
						>
						<span class="percent"></span>
					</div>
				</div>
			</div>
			<?php endif; ?>
			

			<?php
				$form_id = get_the_ID();
				$form  = new Give_Donate_Form( $form_id );
				$goal_progress_stats = give_goal_progress_stats( $form );
				$income = $goal_progress_stats['raw_actual'];
				$goal   = $goal_progress_stats['raw_goal'];
				$form_currency = apply_filters( 'give_goal_form_currency', give_get_currency( $form_id ), $form_id );

				$goal_format_args = apply_filters( 'give_goal_amount_format_args', array(
					'sanitize' => false,
					'currency' => $form_currency,
					'decimal'  => false,
				), $form_id );
				$goal_amounts = apply_filters(
					'give_goal_amounts',
					array(
						$form_currency => $goal,
					),
					$form_id
				);

				$goal   = give_human_format_large_amount( give_format_amount( $goal, $goal_format_args ), array( 'currency' => $form_currency ) );


				$formatted_goal = give_currency_filter(
					$goal,
					array(
						'form_id' => $form_id,
					)
				);
			?>
			<div class="donation-goal">
				<?php

				echo sprintf(
					/* translators: 1: amount of income raised 2: goal target amount. */
					wp_kses( 
						__( '<span class="goal-text" data-amounts="%1$s">%2$s</span> Goal', 'mascot-core-soolhart-wp' ), 
						array ( 
							'span' => array ( 
								'class' => array(),
								'data-amounts' => array(),
							) 
						) 
					),
					esc_attr( wp_json_encode( $goal_amounts, JSON_PRETTY_PRINT ) ),
					esc_attr( $formatted_goal )
				);
				?>
		 	</div>
			
			<?php if ( $show_title == 'yes' ) : ?>
			<<?php echo esc_attr( $title_tag );?> class="form-title">
				<a href="<?php the_permalink() ?>">
					<?php the_title() ?>
				</a>
			</<?php echo esc_attr( $title_tag );?>>
			<?php endif; ?>

			<?php if ( $show_meta == 'yes' ) : ?>
			<?php mascot_core_soolhart_wp_get_shortcode_template_part( 'campaigns-meta', null, 'wpcf-listing/tpl', $params, false );?>
			<?php endif; ?>

			<?php if ( $show_excerpt == 'yes' ) : ?>
			<div class="form-description">  
				<?php if ( empty($excerpt_length) ) { ?>
				<?php $give_form_excerpt = get_the_excerpt(); echo wp_kses( $give_form_excerpt, 'post' ); ?>
				<?php } else { ?>
				<?php $give_form_excerpt = get_the_excerpt(); echo wp_kses( soolhart_wp_slice_excerpt_by_length( $give_form_excerpt, $excerpt_length ), 'post' ); ?>
				<?php } ?>
			</div>
			<?php endif; ?>
			
			<div class="donation-raised-donor">
				<div class="donation-raised">
					<i class="text-theme-colored2 mr-10 fa fa-paper-plane"></i>
					<?php 
						$stats = new Give_Payment_Stats();
						echo give_currency_filter( give_format_amount( $stats->get_earnings( 0, null ), array( 'sanitize' => false ) ) );
					?> <?php esc_html_e( 'Raised', 'mascot-core-soolhart-wp' ); ?>
				</div>
				<div class="donation-donor">
					<i class="text-theme-colored2 mr-10 far fa-user-circle"></i>
					<?php 
						$donors_count = count( Give()->donors->get_donors( array( 'number' => 0 ) ) );
						echo esc_html( $donors_count );
					?> <?php esc_html_e( 'Donors', 'mascot-core-soolhart-wp' ); ?>
				</div>
			</div>
		</div>
		<?php mascot_core_soolhart_wp_get_shortcode_template_part( 'button', null, 'wpcf-listing/tpl', $params, false );?>
	</div>
</div>